## rinetd 0.41

=== Makefile ===
CFLAGS=-DLINUX -g

rinetd: rinetd.o
	gcc rinetd.o -o rinetd

install: rinetd
	install -m 700 rinetd /usr/sbin
	install -m 644 rinetd.8 /usr/man/man8

## rinetd 0.62

=== Makefile ===
CFLAGS=-DLINUX -g

rinetd: rinetd.o match.o
	gcc rinetd.o match.o -o rinetd

install: rinetd
	install -m 700 rinetd /usr/sbin
	install -m 644 rinetd.8 /usr/man/man8

## rinetd 0.62.1sam

=== debian/changelog ===
rinetd (0.62.1sam-1) unstable; urgency=high

  * New upstream release.
  * This release fixes memory initialisation issues causing erratic
    behaviour (Closes: #806902, #753629).
  * This release fixes an error in the man page (Closes: #406878).

 -- Sam Hocevar <sho@debian.org>  Wed, 13 Jan 2016 07:58:00 +0100

rinetd (0.62.0sam-1) unstable; urgency=medium

  * Maintainer upload.
  * New release from a GitHub fork (https://github.com/samhocevar/rinetd).

  * Upstream: fixed uninitialised memory access that could cause infinite
    loops and excessive logging (Closes: #796235).
  * Upstream: applied Flavio Stanchina’s patch for logging all connections
    (Closes: #628061).

  * debian/*: switch to modern debhelper and dh-autoreconf.
  * debian/rinetd.logrotate: activate compression (Closes: #425002)
    and add missingok (Closes: #707480) to avoid issues when the
    user deactivates logging.
  * debian/init: add status reporting, patch courtesy of Chris Lamb and
    “je” <elonen@iki.fi> (Closes: #747304, #681523).

 -- Sam Hocevar <sho@debian.org>  Sun, 10 Jan 2016 23:43:48 +0100

rinetd (0.62-5.1) unstable; urgency=low

  * Non-maintainer upload to solve release goal.
  * Add LSB dependency header to init.d scripts (Closes: #466976).

 -- Petter Reinholdtsen <pere@debian.org>  Sun, 30 Mar 2008 12:59:52 +0200

rinetd (0.62-5) unstable; urgency=low

  * debian/rules:
    + Fixed timestamps to avoid build issues (Closes: #277979).

 -- Sam Hocevar <sho@debian.org>  Sun, 24 Oct 2004 13:14:09 +0200

rinetd (0.62-4) unstable; urgency=low

  * debian/changelog:
    + Converted to UTF-8.
  * debian/control:
    + Set policy to 3.6.1.1.

 -- Sam Hocevar <sho@debian.org>  Mon,  2 Aug 2004 12:07:56 +0200

rinetd (0.62-3) unstable; urgency=low

  * debian/rules:
    + Fixed autotools clock skews.

 -- Sam Hocevar <sho@debian.org>  Sat,  1 Nov 2003 11:56:55 +0100

rinetd (0.62-2) unstable; urgency=low

  * debian/control:
    + Set policy to 3.6.1.0.
    + Set debhelper build-dependency to (>= 4.1.68) because of dh_installppp.
    + Removed leading "an" from the short description and enhanced the long
      description.
  * debian/rules:
    + Use dh_installppp instead of doing the work by hand (Closes: #212909).

 -- Sam Hocevar <sho@debian.org>  Mon, 27 Oct 2003 11:15:48 +0100

rinetd (0.62-1) unstable; urgency=low

  * New upstream release, includes our fix for DSA 289-1.
  * Set policy to 3.5.10.

 -- Sam Hocevar <sho@debian.org>  Tue, 27 May 2003 15:41:37 +0200

rinetd (0.61-2) unstable; urgency=low

  * New maintainer.
  * Maintainer upload (Closes: #86201, #145756).
  * Fixed then applied a user-contributed patch to make logging non-buffered
    (Closes: #163654).
  * Added a 1 second delay in the init.d script to avoid restarting rinetd
    too quickly (Closes: #180449). This isn't perfect, though: the real problem
    is the race condition when using daemon() and writing a PID file.
  * rinetd now closes its configuration file (Closes: #182705).
  * Fixed an off-by-one overflow and a missing reallocation in handleAccept().
  * Replaced malloc/strcpy with strdup in readArgs().
  * Added a -f flag to run rinetd in the foreground, and updated manpage and
    index.html accordingly.

 -- Sam Hocevar <sho@debian.org>  Sun, 13 Apr 2003 19:12:01 +0200

rinetd (0.61-1.2) unstable; urgency=low

  * NMU (bug squashing party).
  * Fixed debian/rules (./configure and make clean) (closes: #145756).

 -- Sebastien Bacher <seb128@debian.org>  Sat, 31 Aug 2002 15:15:25 +0200

rinetd (0.61-1.1) unstable; urgency=low

  * NMU.
  * Fixed detection of numeric addresses. This fixes a bug that occurs when
    starting rinetd in an unconnected machine.
  * Added missing includes.
  * Added -O2 to compilation options. Added -Wall and -Wstring
    compilation options and removed all the warnings.
  * Changed a lot of fprintf(stder,...) to syslogs.
  * The program was reporting a bogus line number in errors.
  * Replaced signal with sigaction.
  * Uses autoconf.
  * Now it logs DNS errors.
  * Checks closing of pid file, this catchs the failure to write the pidfile
    due to a disk full.
  * Removed unused function Sleep.
  * You don't need bind(2) on a socket you'll use for connect(2).
  * Uses compatibility mode 4 of debhelper.
  * Reload rinetd configuration when a PPP connection goues up. This useful
    when using DNS names in /etc/rinetd.conf that can't be resolved without
    an Internet connection. The proper solution to this is to resolve DNS
    names *each time that is needed* (with perhaps a small caching period).
  * Uses logrotate to rotate logs instead of savelog and cron.

 -- Nicolás Lichtmaier <nick@debian.org>  Sat,  4 May 2002 00:27:47 -0300

rinetd (0.61-1) unstable; urgency=low

  * Non maintainer upload
  * New upstream release
  * Updated Standards-Version to 3.5.1
  * Reference to GPL in debian/copyright is corrected to
    /usr/share/common-licenses/GPL
  * Upstream URL in debian/copyright is corrected to
    ftp://ftp.boutell.com/pub/boutell/rinetd/rinetd.tar.gz
  * Upstream changelog will be installed with dh_installchangelogs
    instead of dh_installdocs
  * dh_suidregister call is removed from debian/rules
  * Build-Depends on debhelper added
  * Recompiled with newer debhelper version doing the /usr/doc to
    /usr/share/doc transition for us
  * Moved man pages from /usr/man to /usr/share/man to comply with FHS

 -- Roland Bauerschmidt <rb@debian.org>  Fri, 16 Feb 2001 10:53:19 -0600

rinetd (0.52-2) unstable; urgency=low

  * Add cron.weekly entry for rotating the logs

 -- Gergely Madarasz <gorgo@caesar.elte.hu>  Sat, 16 Jan 1999 01:21:26 +0100

rinetd (0.52-1) unstable; urgency=low

  * New upstream version

 -- Gergely Madarasz <gorgo@caesar.elte.hu>  Fri, 15 Jan 1999 21:22:14 +0100

rinetd (0.41-1) unstable; urgency=low

  * added reload, restart and force-reload entries to init.d script
  * marked init.d script as conffile
  * remove dh_du calls from debian/rules


=== debian/control ===
Source: rinetd
Section: net
Priority: optional
Maintainer: Sam Hocevar <sho@debian.org>
Build-Depends: debhelper (>= 9.0), dh-autoreconf
Standards-Version: 3.9.6

Package: rinetd
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Internet TCP redirection server
 rinetd redirects TCP connections from one IP address and port to another,
 with basic IP-based access control.
 .
 rinetd is a single-process server which handles any number of connections
 to the address/port pairs specified in the file /etc/rinetd.conf. Since
 rinetd runs as a single process using nonblocking I/O, it is able to
 redirect a large number of connections without a severe impact on the
 machine. This makes it practical to run services on machines inside an IP
 masquerading firewall.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with autoreconf

override_dh_installchangelogs:
	dh_installchangelogs CHANGES

## rinetd 0.73

=== debian/changelog ===
rinetd (0.73-2) unstable; urgency=medium

  * d/watch:
    - Refactor the watch file to make it functional again.
  * d/t/*:
    - Introduce autopkgtest.
  * d/control:
    - Adopt package setting Maintainer to myself (Closes: #1011571).
    - Drop lsb-base from Depends, the essential package sysvinit-utils
      provides the lsb-base functionality.
    - Bump Standards-Version to 4.7.0.
    - Add Rules-Requires-Root with value "no".
    - Add fields Vcs-Browser and Vcs-Git.
    - Apply 'wrap-and-sort -at'.
  * d/rules:
    - Add DH_VERBOSE commented out.
    - Enable all hardening options available for ELF binaries.
    - Drop unneeded override_dh_installchangelogs.
    - Exclude index.html from docs, it only duplicates the manual page.
  * d/rinetd.service:
    - Harden systemd unit file.
  * d/NEWS:
    - Communicate restrictions regarding placing the logfile.
  * d/rinetd.ppp.ip-up:
    - Use "service" instead of calling the Sys-V init script directly.
  * d/rinetd.logrotate:
    - Drop empty line.
  * d/s/lintian-overrides:
    - Override source-is-missing.
  * d/u/metadata:
    - Add upstream metadata file.
  * d/p/*:
    - Add a patch to correct a typo in the manual page.
  * d/copyright:
    - Add missing paragraph regarding debian/*.
    - Remove X-Debianized-* fields, the debian/* paragraph now covers this
      information.
  * d/salsa-ci.yml:
    - Introduce a Salsa-Ci configuration file.
  * d/gbp.conf:
    - Introduce a gbp configuration file.

 -- Sven Geuer <sge@debian.org>  Sat, 01 Jun 2024 15:47:02 +0200

rinetd (0.73-1) unstable; urgency=medium

  * QA upload.
  * Set maintainer to Debian QA Group <packages@qa.debian.org>. (see: #1011571)

 -- Marcos Talau <talau@debian.org>  Sun, 13 Nov 2022 07:49:20 -0300

rinetd (0.73-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * New upstream release (Closes: #1010732).
  * Added systemd service file debian/rinetd.service.
  * Added debian/watch.
  * debian/rules: CHANGES renamed to CHANGES.md.
  * debian/docs: README renamed to README.md.
  * debian/init: Added Description.
  * debian/copyright: Update to DEP5 format.
  * Removed debian/compat (9).
  * debian/control:
    + Added Homepage.
    + Removed debhelper (>= 9.0) from Build-Depends.
    + Added debhelper-compat (= 13) to Build-Depends.
    + Added procps to Depends (for rinetd.service).
    + Added lsb-base to Depends (lintian error).
    + Removed dh-autoreconf from Depends (lintian warning).
    + Added ${misc:Pre-Depends} to Pre-Depends (lintian warning).
    + Added UDP to Description (supported since 0.70).

 -- Helmar Gerloni <helmar@gerloni.net>  Mon, 09 May 2022 20:31:26 +0200

rinetd (0.62.1sam-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Add 'missingok' to logrotate config.  (Closes: #916648)

 -- Andreas Beckmann <anbe@debian.org>  Tue, 02 Apr 2019 19:49:39 +0200

=== debian/control ===
Source: rinetd
Section: net
Priority: optional
Maintainer: Sven Geuer <sge@debian.org>
Build-Depends: debhelper-compat (= 13),
Standards-Version: 4.7.0
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/debian/rinetd
Vcs-Git: https://salsa.debian.org/debian/rinetd.git
Homepage: https://github.com/samhocevar/rinetd

Package: rinetd
Architecture: any
Pre-Depends: ${misc:Pre-Depends},
Depends: procps,
         ${misc:Depends},
         ${shlibs:Depends},
Description: Internet TCP/UDP redirection server
 rinetd redirects TCP or UDP connections from one IP address and port to
 another, with basic IP-based access control.
 .
 rinetd is a single-process server which handles any number of connections
 to the address/port pairs specified in the file /etc/rinetd.conf. Since
 rinetd runs as a single process using nonblocking I/O, it is able to
 redirect a large number of connections without a severe impact on the
 machine. This makes it practical to run services on machines inside an IP
 masquerading firewall.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# Make sure lintian does not complain about missing hardenings
export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
	dh $@ --with autoreconf

override_dh_installdocs:
	dh_installdocs -Xindex.html

=== debian/tests/control ===
Tests: query-dns-tcp-udp
Depends: rinetd,
         bind9,
         bind9-dnsutils,
Restrictions: needs-root,
              isolation-container,

=== debian/watch ===
version=4
opts=\
	searchmode=plain,\
	downloadurlmangle=s%.*?"browser_download_url":"([^"]+)"$%$1%,\
	pgpmode=none,\
	filenamemangle=s%".*?-([\d.]+)\.tar\.gz"%rinetd-$1.tar.gz% \
https://api.github.com/repos/samhocevar/rinetd/releases \
"browser_download_url":"[^"]+?-([\d.]+)\.tar\.gz" debian uupdate
